package com.ruoyi.rc.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 开项对象 t_open_item
 * 
 * @author ruoyi
 * @date 2024-07-19
 */
public class TOpenItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 问题类型 */
    @Excel(name = "问题类型")
    private String type;

    /** 涉及整改code */
    @Excel(name = "涉及整改code")
    private Long secSubChapId;

    /** 存在问题描述 */
    @Excel(name = "存在问题描述")
    private String description;

    /** 开项级别 */
    @Excel(name = "开项级别")
    private String level;

    /** 开项时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开项时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date openTime;

    /** 闭项时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "闭项时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date closeTime;

    /** 问题处理状态 */
    @Excel(name = "问题处理状态")
    private String status;

    /** 负责人 */
    @Excel(name = "负责人")
    private Long personInCharge;

    /** 审核人 */
    @Excel(name = "审核人")
    private Long reviewer;

    /** 责任人确认 */
    @Excel(name = "责任人确认")
    private String result;

    /** 截至时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "截至时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deadline;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 装置id */
    @Excel(name = "装置id")
    private Long deptId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setSecSubChapId(Long secSubChapId) 
    {
        this.secSubChapId = secSubChapId;
    }

    public Long getSecSubChapId() 
    {
        return secSubChapId;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setLevel(String level) 
    {
        this.level = level;
    }

    public String getLevel() 
    {
        return level;
    }
    public void setOpenTime(Date openTime) 
    {
        this.openTime = openTime;
    }

    public Date getOpenTime() 
    {
        return openTime;
    }
    public void setCloseTime(Date closeTime) 
    {
        this.closeTime = closeTime;
    }

    public Date getCloseTime() 
    {
        return closeTime;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setPersonInCharge(Long personInCharge) 
    {
        this.personInCharge = personInCharge;
    }

    public Long getPersonInCharge() 
    {
        return personInCharge;
    }
    public void setReviewer(Long reviewer) 
    {
        this.reviewer = reviewer;
    }

    public Long getReviewer() 
    {
        return reviewer;
    }
    public void setResult(String result) 
    {
        this.result = result;
    }

    public String getResult() 
    {
        return result;
    }
    public void setDeadline(Date deadline) 
    {
        this.deadline = deadline;
    }

    public Date getDeadline() 
    {
        return deadline;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("secSubChapId", getSecSubChapId())
            .append("description", getDescription())
            .append("level", getLevel())
            .append("openTime", getOpenTime())
            .append("closeTime", getCloseTime())
            .append("status", getStatus())
            .append("personInCharge", getPersonInCharge())
            .append("reviewer", getReviewer())
            .append("result", getResult())
            .append("deadline", getDeadline())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .toString();
    }
}
