package com.ruoyi.rc.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 进度对象 t_progress
 * 
 * @author ruoyi
 * @date 2024-07-19
 */
public class TProgress extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 二级细分章节id */
    @Excel(name = "二级细分章节id")
    private Long secSubChapId;

    /** 章节 */
    @Excel(name = "章节")
    private String chapName;

    /** 细分章节 */
    @Excel(name = "细分章节")
    private String subChapName;

    /** 二级细分章节 */
    @Excel(name = "二级细分章节")
    private String secSubChapName;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 负责人 */
    @Excel(name = "负责人")
    private Long personInCharge;

    /** 支持人 */
    @Excel(name = "支持人")
    private Long supporter;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /** 目标日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "目标日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date targetDate;

    /** 实际完成日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际完成日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishDate;

    /** 准备情况 */
    @Excel(name = "准备情况")
    private String preparation;

    /** 进度描述 */
    @Excel(name = "进度描述")
    private String progress;

    /** 审批状态 */
    @Excel(name = "审批状态")
    private String applyStatus;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 装置id */
    @Excel(name = "装置id")
    private Long deptId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSecSubChapId(Long secSubChapId) 
    {
        this.secSubChapId = secSubChapId;
    }

    public Long getSecSubChapId() 
    {
        return secSubChapId;
    }
    public void setChapName(String chapName) 
    {
        this.chapName = chapName;
    }

    public String getChapName() 
    {
        return chapName;
    }
    public void setSubChapName(String subChapName) 
    {
        this.subChapName = subChapName;
    }

    public String getSubChapName() 
    {
        return subChapName;
    }
    public void setSecSubChapName(String secSubChapName) 
    {
        this.secSubChapName = secSubChapName;
    }

    public String getSecSubChapName() 
    {
        return secSubChapName;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setPersonInCharge(Long personInCharge) 
    {
        this.personInCharge = personInCharge;
    }

    public Long getPersonInCharge() 
    {
        return personInCharge;
    }
    public void setSupporter(Long supporter) 
    {
        this.supporter = supporter;
    }

    public Long getSupporter() 
    {
        return supporter;
    }
    public void setStartDate(Date startDate) 
    {
        this.startDate = startDate;
    }

    public Date getStartDate() 
    {
        return startDate;
    }
    public void setTargetDate(Date targetDate) 
    {
        this.targetDate = targetDate;
    }

    public Date getTargetDate() 
    {
        return targetDate;
    }
    public void setFinishDate(Date finishDate) 
    {
        this.finishDate = finishDate;
    }

    public Date getFinishDate() 
    {
        return finishDate;
    }
    public void setPreparation(String preparation) 
    {
        this.preparation = preparation;
    }

    public String getPreparation() 
    {
        return preparation;
    }
    public void setProgress(String progress) 
    {
        this.progress = progress;
    }

    public String getProgress() 
    {
        return progress;
    }
    public void setApplyStatus(String applyStatus) 
    {
        this.applyStatus = applyStatus;
    }

    public String getApplyStatus() 
    {
        return applyStatus;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("secSubChapId", getSecSubChapId())
            .append("chapName", getChapName())
            .append("subChapName", getSubChapName())
            .append("secSubChapName", getSecSubChapName())
            .append("content", getContent())
            .append("personInCharge", getPersonInCharge())
            .append("supporter", getSupporter())
            .append("startDate", getStartDate())
            .append("targetDate", getTargetDate())
            .append("finishDate", getFinishDate())
            .append("preparation", getPreparation())
            .append("progress", getProgress())
            .append("applyStatus", getApplyStatus())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .toString();
    }
}
