package com.ruoyi.rc.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 问卷二级细分章节对象 t_sec_sub_chap
 * 
 * @author ruoyi
 * @date 2024-07-19
 */
public class TSecSubChap extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 审计记录id */
    @Excel(name = "审计记录id")
    private Long auditId;

    /** 问卷细分章节id */
    @Excel(name = "问卷细分章节id")
    private Long subChapId;

    /** 年份 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "年份", width = 30, dateFormat = "yyyy-MM-dd")
    private Date year;

    /** 问卷类型 */
    @Excel(name = "问卷类型")
    private String type;

    /** 目录 */
    @Excel(name = "目录")
    private String directory;

    /** 序号 */
    @Excel(name = "序号")
    private Long code;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** YES/NO/NA */
    @Excel(name = "YES/NO/NA")
    private String yeaNoNa;

    /** MinimumStandard */
    @Excel(name = "MinimumStandard")
    private String minimumStandard;

    /** Good Practices */
    @Excel(name = "Good Practices")
    private String goodPractices;

    /** 标准 */
    @Excel(name = "标准")
    private String starndard;

    /** 完成情况 */
    @Excel(name = "完成情况")
    private String completionStatus;

    /** 负责人 */
    @Excel(name = "负责人")
    private Long personInCharge;

    /** 审核人 */
    @Excel(name = "审核人")
    private Long reviewer;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 装置id */
    @Excel(name = "装置id")
    private Long deptId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAuditId(Long auditId) 
    {
        this.auditId = auditId;
    }

    public Long getAuditId() 
    {
        return auditId;
    }
    public void setSubChapId(Long subChapId) 
    {
        this.subChapId = subChapId;
    }

    public Long getSubChapId() 
    {
        return subChapId;
    }
    public void setYear(Date year) 
    {
        this.year = year;
    }

    public Date getYear() 
    {
        return year;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setDirectory(String directory) 
    {
        this.directory = directory;
    }

    public String getDirectory() 
    {
        return directory;
    }
    public void setCode(Long code) 
    {
        this.code = code;
    }

    public Long getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setYeaNoNa(String yeaNoNa) 
    {
        this.yeaNoNa = yeaNoNa;
    }

    public String getYeaNoNa() 
    {
        return yeaNoNa;
    }
    public void setMinimumStandard(String minimumStandard) 
    {
        this.minimumStandard = minimumStandard;
    }

    public String getMinimumStandard() 
    {
        return minimumStandard;
    }
    public void setGoodPractices(String goodPractices) 
    {
        this.goodPractices = goodPractices;
    }

    public String getGoodPractices() 
    {
        return goodPractices;
    }
    public void setStarndard(String starndard) 
    {
        this.starndard = starndard;
    }

    public String getStarndard() 
    {
        return starndard;
    }
    public void setCompletionStatus(String completionStatus) 
    {
        this.completionStatus = completionStatus;
    }

    public String getCompletionStatus() 
    {
        return completionStatus;
    }
    public void setPersonInCharge(Long personInCharge) 
    {
        this.personInCharge = personInCharge;
    }

    public Long getPersonInCharge() 
    {
        return personInCharge;
    }
    public void setReviewer(Long reviewer) 
    {
        this.reviewer = reviewer;
    }

    public Long getReviewer() 
    {
        return reviewer;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("auditId", getAuditId())
            .append("subChapId", getSubChapId())
            .append("year", getYear())
            .append("type", getType())
            .append("directory", getDirectory())
            .append("code", getCode())
            .append("name", getName())
            .append("yeaNoNa", getYeaNoNa())
            .append("minimumStandard", getMinimumStandard())
            .append("goodPractices", getGoodPractices())
            .append("starndard", getStarndard())
            .append("completionStatus", getCompletionStatus())
            .append("personInCharge", getPersonInCharge())
            .append("reviewer", getReviewer())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .toString();
    }
}
