package com.ruoyi.rc.mapper;

import java.util.List;
import com.ruoyi.rc.domain.TChap;

/**
 * 问卷章节Mapper接口
 * 
 * @author ruoyi
 * @date 2024-07-19
 */
public interface TChapMapper 
{
    /**
     * 查询问卷章节
     * 
     * @param id 问卷章节主键
     * @return 问卷章节
     */
    public TChap selectTChapById(Long id);

    /**
     * 查询问卷章节列表
     * 
     * @param tChap 问卷章节
     * @return 问卷章节集合
     */
    public List<TChap> selectTChapList(TChap tChap);

    /**
     * 新增问卷章节
     * 
     * @param tChap 问卷章节
     * @return 结果
     */
    public int insertTChap(TChap tChap);

    /**
     * 修改问卷章节
     * 
     * @param tChap 问卷章节
     * @return 结果
     */
    public int updateTChap(TChap tChap);

    /**
     * 删除问卷章节
     * 
     * @param id 问卷章节主键
     * @return 结果
     */
    public int deleteTChapById(Long id);

    /**
     * 批量删除问卷章节
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTChapByIds(Long[] ids);
}
