package com.ruoyi.rc.service;

import java.util.List;
import com.ruoyi.rc.domain.TSubChap;

/**
 * 问卷细分章节Service接口
 * 
 * @author ruoyi
 * @date 2024-07-19
 */
public interface ITSubChapService 
{
    /**
     * 查询问卷细分章节
     * 
     * @param id 问卷细分章节主键
     * @return 问卷细分章节
     */
    public TSubChap selectTSubChapById(Long id);

    /**
     * 查询问卷细分章节列表
     * 
     * @param tSubChap 问卷细分章节
     * @return 问卷细分章节集合
     */
    public List<TSubChap> selectTSubChapList(TSubChap tSubChap);

    /**
     * 新增问卷细分章节
     * 
     * @param tSubChap 问卷细分章节
     * @return 结果
     */
    public int insertTSubChap(TSubChap tSubChap);

    /**
     * 修改问卷细分章节
     * 
     * @param tSubChap 问卷细分章节
     * @return 结果
     */
    public int updateTSubChap(TSubChap tSubChap);

    /**
     * 批量删除问卷细分章节
     * 
     * @param ids 需要删除的问卷细分章节主键集合
     * @return 结果
     */
    public int deleteTSubChapByIds(Long[] ids);

    /**
     * 删除问卷细分章节信息
     * 
     * @param id 问卷细分章节主键
     * @return 结果
     */
    public int deleteTSubChapById(Long id);
}
