package com.ruoyi.rc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.rc.mapper.TChapMapper;
import com.ruoyi.rc.domain.TChap;
import com.ruoyi.rc.service.ITChapService;

/**
 * 问卷章节Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-07-19
 */
@Service
public class TChapServiceImpl implements ITChapService 
{
    @Autowired
    private TChapMapper tChapMapper;

    /**
     * 查询问卷章节
     * 
     * @param id 问卷章节主键
     * @return 问卷章节
     */
    @Override
    public TChap selectTChapById(Long id)
    {
        return tChapMapper.selectTChapById(id);
    }

    /**
     * 查询问卷章节列表
     * 
     * @param tChap 问卷章节
     * @return 问卷章节
     */
    @Override
    public List<TChap> selectTChapList(TChap tChap)
    {
        return tChapMapper.selectTChapList(tChap);
    }

    /**
     * 新增问卷章节
     * 
     * @param tChap 问卷章节
     * @return 结果
     */
    @Override
    public int insertTChap(TChap tChap)
    {
        return tChapMapper.insertTChap(tChap);
    }

    /**
     * 修改问卷章节
     * 
     * @param tChap 问卷章节
     * @return 结果
     */
    @Override
    public int updateTChap(TChap tChap)
    {
        return tChapMapper.updateTChap(tChap);
    }

    /**
     * 批量删除问卷章节
     * 
     * @param ids 需要删除的问卷章节主键
     * @return 结果
     */
    @Override
    public int deleteTChapByIds(Long[] ids)
    {
        return tChapMapper.deleteTChapByIds(ids);
    }

    /**
     * 删除问卷章节信息
     * 
     * @param id 问卷章节主键
     * @return 结果
     */
    @Override
    public int deleteTChapById(Long id)
    {
        return tChapMapper.deleteTChapById(id);
    }
}
