package com.ruoyi.rc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.rc.mapper.TSecSubChapMapper;
import com.ruoyi.rc.domain.TSecSubChap;
import com.ruoyi.rc.service.ITSecSubChapService;

/**
 * 问卷二级细分章节Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-07-19
 */
@Service
public class TSecSubChapServiceImpl implements ITSecSubChapService 
{
    @Autowired
    private TSecSubChapMapper tSecSubChapMapper;

    /**
     * 查询问卷二级细分章节
     * 
     * @param id 问卷二级细分章节主键
     * @return 问卷二级细分章节
     */
    @Override
    public TSecSubChap selectTSecSubChapById(Long id)
    {
        return tSecSubChapMapper.selectTSecSubChapById(id);
    }

    /**
     * 查询问卷二级细分章节列表
     * 
     * @param tSecSubChap 问卷二级细分章节
     * @return 问卷二级细分章节
     */
    @Override
    public List<TSecSubChap> selectTSecSubChapList(TSecSubChap tSecSubChap)
    {
        return tSecSubChapMapper.selectTSecSubChapList(tSecSubChap);
    }

    /**
     * 新增问卷二级细分章节
     * 
     * @param tSecSubChap 问卷二级细分章节
     * @return 结果
     */
    @Override
    public int insertTSecSubChap(TSecSubChap tSecSubChap)
    {
        return tSecSubChapMapper.insertTSecSubChap(tSecSubChap);
    }

    /**
     * 修改问卷二级细分章节
     * 
     * @param tSecSubChap 问卷二级细分章节
     * @return 结果
     */
    @Override
    public int updateTSecSubChap(TSecSubChap tSecSubChap)
    {
        return tSecSubChapMapper.updateTSecSubChap(tSecSubChap);
    }

    /**
     * 批量删除问卷二级细分章节
     * 
     * @param ids 需要删除的问卷二级细分章节主键
     * @return 结果
     */
    @Override
    public int deleteTSecSubChapByIds(Long[] ids)
    {
        return tSecSubChapMapper.deleteTSecSubChapByIds(ids);
    }

    /**
     * 删除问卷二级细分章节信息
     * 
     * @param id 问卷二级细分章节主键
     * @return 结果
     */
    @Override
    public int deleteTSecSubChapById(Long id)
    {
        return tSecSubChapMapper.deleteTSecSubChapById(id);
    }
}
