package com.ruoyi.rc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.rc.mapper.TSubChapMapper;
import com.ruoyi.rc.domain.TSubChap;
import com.ruoyi.rc.service.ITSubChapService;

/**
 * 问卷细分章节Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-07-19
 */
@Service
public class TSubChapServiceImpl implements ITSubChapService 
{
    @Autowired
    private TSubChapMapper tSubChapMapper;

    /**
     * 查询问卷细分章节
     * 
     * @param id 问卷细分章节主键
     * @return 问卷细分章节
     */
    @Override
    public TSubChap selectTSubChapById(Long id)
    {
        return tSubChapMapper.selectTSubChapById(id);
    }

    /**
     * 查询问卷细分章节列表
     * 
     * @param tSubChap 问卷细分章节
     * @return 问卷细分章节
     */
    @Override
    public List<TSubChap> selectTSubChapList(TSubChap tSubChap)
    {
        return tSubChapMapper.selectTSubChapList(tSubChap);
    }

    /**
     * 新增问卷细分章节
     * 
     * @param tSubChap 问卷细分章节
     * @return 结果
     */
    @Override
    public int insertTSubChap(TSubChap tSubChap)
    {
        return tSubChapMapper.insertTSubChap(tSubChap);
    }

    /**
     * 修改问卷细分章节
     * 
     * @param tSubChap 问卷细分章节
     * @return 结果
     */
    @Override
    public int updateTSubChap(TSubChap tSubChap)
    {
        return tSubChapMapper.updateTSubChap(tSubChap);
    }

    /**
     * 批量删除问卷细分章节
     * 
     * @param ids 需要删除的问卷细分章节主键
     * @return 结果
     */
    @Override
    public int deleteTSubChapByIds(Long[] ids)
    {
        return tSubChapMapper.deleteTSubChapByIds(ids);
    }

    /**
     * 删除问卷细分章节信息
     * 
     * @param id 问卷细分章节主键
     * @return 结果
     */
    @Override
    public int deleteTSubChapById(Long id)
    {
        return tSubChapMapper.deleteTSubChapById(id);
    }
}
