import request from '@/utils/request'

// 查询问卷章节列表
export function listChap(query) {
  return request({
    url: '/rc/chap/list',
    method: 'get',
    params: query
  })
}

// 查询问卷章节详细
export function getChap(id) {
  return request({
    url: '/rc/chap/' + id,
    method: 'get'
  })
}

// 新增问卷章节
export function addChap(data) {
  return request({
    url: '/rc/chap',
    method: 'post',
    data: data
  })
}

// 修改问卷章节
export function updateChap(data) {
  return request({
    url: '/rc/chap',
    method: 'put',
    data: data
  })
}

// 删除问卷章节
export function delChap(id) {
  return request({
    url: '/rc/chap/' + id,
    method: 'delete'
  })
}
